not compatible with Thunderbird 2.0.0.24 Rated 4 out of 5 stars

Good module, unfortunatly this new version (1.6.6) does NOT work anymore with thunderbird 2.0.0.24.
1.6.5 does.

This review is for a previous version of the add-on (1.6.6).